declare const useVirtualScroll: ({ data, container, fixedHeight, lineHeight, bufferSize, threshold }: {
    data: any;
    container: any;
    fixedHeight: boolean;
    lineHeight: number;
    bufferSize: number;
    threshold: number;
}) => {
    translateY: import("@vue/composition-api").ComputedRef<any>;
    handleScroll: () => void;
    handleRowMounted: () => void;
    refreshContainer: () => void;
    fixedHeight: boolean;
    calculateScrollY: () => void;
    visibleData: import("@vue/composition-api").Ref<any[]>;
    cachedHeight: import("@vue/composition-api").Ref<any[]>;
    cachedScrollY: import("@vue/composition-api").Ref<any[]>;
    trs: Map<any, any>;
    scrollHeight: import("@vue/composition-api").ComputedRef<any>;
};
export default useVirtualScroll;
